Get categories
curl --request GET \
--url https://east.sandbox.spade.com/users/{userId}/categories \
--header 'X-Api-Key: <api-key>'import requests
url = "https://east.sandbox.spade.com/users/{userId}/categories"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://east.sandbox.spade.com/users/{userId}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png",
"fullCategoryHierarchy": [
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
},
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
]
}
]{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Category Personalization
Get categories
Fetch custom user-level categories from Spade’s database.
This endpoint returns a list containing all custom categories that the user with the given userId has created.
To learn more about user category personalization, please read the User Category Personalization Guide.
GET
/
users
/
{userId}
/
categories
Get categories
Authorizations
Path Parameters
The userId of the relevant user.
Response
Successful operation
A unique identifier for this category.
Example:
"4d5419f1-bcde-40f5-9168-7f8989b9c55f"
The category's name
Example:
"Kitchen Remodel"
The category's icon, potentially inherited from the parent category.
Example:
"https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
Array with increasingly specific category information.
Show child attributes
Show child attributes
Example:
[
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
},
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
]
⌘I

